> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.shipbob.com/llms.txt.
> For full documentation content, see https://developer.shipbob.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.shipbob.com/_mcp/server.

# Create Work Order from Existing


POST https://api.shipbob.com/Experimental/kitting:createFromExisting
Content-Type: application/json

Creates a kitting work order based on an existing shipment, including steps, line items, fulfillment center, and product details.


Reference: https://developer.shipbob.com/experimental/api/kitting/create-work-order-from-existing

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: api-experimental
  version: 1.0.0
paths:
  /Experimental/kitting:createFromExisting:
    post:
      operationId: create-work-order-from-existing
      summary: |
        Create Work Order from Existing
      description: >
        Creates a kitting work order based on an existing shipment, including
        steps, line items, fulfillment center, and product details.
      tags:
        - subpackage_kitting
      parameters:
        - name: Authorization
          in: header
          description: Authentication using Personal Access Token (PAT) token
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Kitting.PublicWorkOrderShipmentIdResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                description: Any type
        '500':
          description: Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Kitting.ApiError'
      requestBody:
        description: Request containing the details for creating the work order
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Kitting.PublicKittingWorkOrderCopyRequest'
servers:
  - url: https://api.shipbob.com
  - url: https://sandbox-api.shipbob.com
components:
  schemas:
    Kitting.PublicKittingWorkOrderCopyRequest:
      type: object
      properties:
        end_kitted_quantity:
          type: integer
          description: >-
            Number of end-kitted units to produce. When provided, overrides both
            the quantity and expected quantity from the original shipment. If
            not provided, the original shipment's quantity and expected quantity
            are used.
        fulfillment_center_id:
          type: integer
          description: The fulfillment center id associated with the work order.
        lot_date:
          type: string
          format: date-time
          description: Lot expiration date to be associated with the work order.
        lot_number:
          type: string
          description: Lot number to be associated with the work order.
        shipment_id:
          type: integer
          description: >-
            Id of the shipment to copy line items and details from when creating
            the kitting work order.
      required:
        - fulfillment_center_id
        - shipment_id
      title: Kitting.PublicKittingWorkOrderCopyRequest
    Kitting.PublicWorkOrderShipmentIdResponse:
      type: object
      properties:
        shipment_id:
          type: integer
          description: Id of the created shipment
      title: Kitting.PublicWorkOrderShipmentIdResponse
    Kitting.ApiError:
      type: object
      properties:
        details:
          oneOf:
            - description: Any type
            - type: 'null'
        errors:
          type: array
          items:
            type: string
        message:
          type: string
        stackTrace:
          type: string
      title: Kitting.ApiError
  securitySchemes:
    PAT:
      type: http
      scheme: bearer
      description: Authentication using Personal Access Token (PAT) token
    OAuth2:
      type: http
      scheme: bearer
      description: OAuth2 authentication using JWT tokens

```

## SDK Code Examples

```python default
import requests

url = "https://api.shipbob.com/Experimental/kitting:createFromExisting"

payload = {
    "fulfillment_center_id": 1,
    "shipment_id": 5001,
    "end_kitted_quantity": 10,
    "lot_date": "2024-01-15T09:00:00+00:00",
    "lot_number": "LOT-2024-001"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript default
const url = 'https://api.shipbob.com/Experimental/kitting:createFromExisting';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"fulfillment_center_id":1,"shipment_id":5001,"end_kitted_quantity":10,"lot_date":"2024-01-15T09:00:00+00:00","lot_number":"LOT-2024-001"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go default
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.shipbob.com/Experimental/kitting:createFromExisting"

	payload := strings.NewReader("{\n  \"fulfillment_center_id\": 1,\n  \"shipment_id\": 5001,\n  \"end_kitted_quantity\": 10,\n  \"lot_date\": \"2024-01-15T09:00:00+00:00\",\n  \"lot_number\": \"LOT-2024-001\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby default
require 'uri'
require 'net/http'

url = URI("https://api.shipbob.com/Experimental/kitting:createFromExisting")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"fulfillment_center_id\": 1,\n  \"shipment_id\": 5001,\n  \"end_kitted_quantity\": 10,\n  \"lot_date\": \"2024-01-15T09:00:00+00:00\",\n  \"lot_number\": \"LOT-2024-001\"\n}"

response = http.request(request)
puts response.read_body
```

```java default
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.shipbob.com/Experimental/kitting:createFromExisting")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"fulfillment_center_id\": 1,\n  \"shipment_id\": 5001,\n  \"end_kitted_quantity\": 10,\n  \"lot_date\": \"2024-01-15T09:00:00+00:00\",\n  \"lot_number\": \"LOT-2024-001\"\n}")
  .asString();
```

```php default
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.shipbob.com/Experimental/kitting:createFromExisting', [
  'body' => '{
  "fulfillment_center_id": 1,
  "shipment_id": 5001,
  "end_kitted_quantity": 10,
  "lot_date": "2024-01-15T09:00:00+00:00",
  "lot_number": "LOT-2024-001"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp default
using RestSharp;

var client = new RestClient("https://api.shipbob.com/Experimental/kitting:createFromExisting");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"fulfillment_center_id\": 1,\n  \"shipment_id\": 5001,\n  \"end_kitted_quantity\": 10,\n  \"lot_date\": \"2024-01-15T09:00:00+00:00\",\n  \"lot_number\": \"LOT-2024-001\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift default
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "fulfillment_center_id": 1,
  "shipment_id": 5001,
  "end_kitted_quantity": 10,
  "lot_date": "2024-01-15T09:00:00+00:00",
  "lot_number": "LOT-2024-001"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/Experimental/kitting:createFromExisting")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```